import { RendererFactory2, Renderer2, ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import { NzbDynamicContentService } from './dynamic-content/nzb-dynamic-content.service';
import { NzbModalOptions } from './modal/nzb-modal-options';
import { NzbModal } from './modal/nzb-modal';
/**
 * NzbService class.
 */
export declare class NzbService {
    cfr: ComponentFactoryResolver;
    injector: Injector;
    appRef: ApplicationRef;
    rendererFactory: RendererFactory2;
    contentService: NzbDynamicContentService;
    defaultModalOptions: NzbModalOptions;
    renderer: Renderer2;
    private elementCounter;
    constructor(cfr: ComponentFactoryResolver, injector: Injector, appRef: ApplicationRef, rendererFactory: RendererFactory2, contentService: NzbDynamicContentService, defaultModalOptions: NzbModalOptions);
    getUniqueId(prefix: string): string;
    createModal(): NzbModal;
}
